Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::generate_n_fn Struct Reference

## Synopsis of methods
constexpr generate_n_fn | generate_n {}

## Public Member Functions
template<typename G >
generate_n_view< G > | operator() (G g, std::size_t n) const

## Member Function Documentation

## ◆ operator()()

template<typename G >

generate_n_view<G> ranges::views::generate_n_fn::operator() | ( | G | g,
|  | std::size_t | n
| ) |  | const

Precondition
  requires `invocable<G &> && copy_constructible<G> && std::is_object<detail::decay_t<invoke_result_t<G &>>>::value && constructible_from<detail::decay_t<invoke_result_t<G &>>, invoke_result_t<G &>> && assignable_from<detail::decay_t<invoke_result_t<G &>> &, invoke_result_t<G &>>`